Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESRegexp

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESObject
                  |
                  +--com.caucho.es.ESRegexp

public class ESRegexp
extends ESObject

Fields inherited from class com.caucho.es.ESObject
`snapPrototype`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Constructor Summary
`protected` | `ESRegexp()`
`` | `ESRegexp(java.lang.String pattern, java.lang.String flags)`

Method Summary
`ESBase` | `call(Call call, int length)`
`protected void` | `copy(java.lang.Object newObj)`
`ESBase` | `delete(ESString key)` Deletes the entry.
`protected ESObject` | `dup()`
`ESBase` | `getProperty(ESString key)` Gets a property value.
`java.util.Iterator` | `keys()`
`void` | `setProperty(ESString key, ESBase value)` Puts a new value in the property table with the appropriate flags
`java.lang.Object` | `toJavaObject()`
`ESString` | `toSource(IntMap map, boolean isLoopPass)`

Methods inherited from class com.caucho.es.ESObject
`canPut, construct, copy, copy, ecmaEquals, put, put, put, shallowCopy, toBoolean, toNum, toObject, toPrimitive, toStr, typeof, unwatch, watch`

Methods inherited from class com.caucho.es.ESBase
`call, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, lessThan, plus, setProperty, setProperty, toInt32, toJavaString, toPrimitive, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESRegexp

    public ESRegexp(java.lang.String pattern,
                    java.lang.String flags)
             throws ESException

### ESRegexp

    protected ESRegexp()

Method Detail

### getProperty

    public ESBase getProperty(ESString key)
                       throws java.lang.Exception

  Description copied from class: ESObject
  Gets a property value.
  Overrides:
    getProperty in class ESObject

### setProperty

    public void setProperty(ESString key,
                            ESBase value)
                     throws java.lang.Exception

  Description copied from class: ESObject
  Puts a new value in the property table with the appropriate flags
  Overrides:
    setProperty in class ESObject

### delete

    public ESBase delete(ESString key)
                  throws java.lang.Exception

  Description copied from class: ESObject
  Deletes the entry. Returns true if successful.
  Overrides:
    delete in class ESObject

### keys

    public java.util.Iterator keys()
                            throws ESException

  Overrides:
    keys in class ESObject

### toSource

    public ESString toSource(IntMap map,
                             boolean isLoopPass)
                      throws java.lang.Exception

  Overrides:
    toSource in class ESObject

### toJavaObject

    public java.lang.Object toJavaObject()

  Overrides:
    toJavaObject in class ESObject

### call

    public ESBase call(Call call,
                       int length)
                throws java.lang.Exception

  Overrides:
    call in class ESObject

### dup

    protected ESObject dup()

### copy

    protected void copy(java.lang.Object newObj)

  Overrides:
    copy in class ESObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD